# CUTLASS: cutlass::Array< T, N, false >::iterator Class Reference

cutlass::Array< T, N, false >::iterator Class Reference

Bidirectional iterator over elements.

`#include <array_subbyte.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE | iterator ()
CUTLASS_HOST_DEVICE | iterator (Storage *ptr, int idx=0)
CUTLASS_HOST_DEVICE iterator & | operator++ ()
CUTLASS_HOST_DEVICE iterator & | operator-- ()
CUTLASS_HOST_DEVICE iterator | operator++ (int)
CUTLASS_HOST_DEVICE iterator | operator-- (int)
CUTLASS_HOST_DEVICE reference | operator* () const
CUTLASS_HOST_DEVICE bool | operator== (iterator const &other) const
CUTLASS_HOST_DEVICE bool | operator!= (iterator const &other) const

## Constructor & Destructor Documentation

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, false >::iterator::iterator | ( |  | ) |

inline

template<typename T , int N>

CUTLASS_HOST_DEVICE cutlass::Array< T, N, false >::iterator::iterator | ( | Storage * | ptr,
|  | int | idx = `0`
| ) |  |

inline

## Member Function Documentation

template<typename T , int N>

CUTLASS_HOST_DEVICE bool cutlass::Array< T, N, false >::iterator::operator!= | ( | iterator const & | other | ) | const

inline

template<typename T , int N>

CUTLASS_HOST_DEVICE reference cutlass::Array< T, N, false >::iterator::operator* | ( |  | ) | const

inline

template<typename T , int N>

CUTLASS_HOST_DEVICE iterator& cutlass::Array< T, N, false >::iterator::operator++ | ( |  | ) |

inline

template<typename T , int N>

CUTLASS_HOST_DEVICE iterator cutlass::Array< T, N, false >::iterator::operator++ | ( | int |  | ) |

inline

template<typename T , int N>

CUTLASS_HOST_DEVICE iterator& cutlass::Array< T, N, false >::iterator::operator-- | ( |  | ) |

inline

template<typename T , int N>

CUTLASS_HOST_DEVICE iterator cutlass::Array< T, N, false >::iterator::operator-- | ( | int |  | ) |

inline

template<typename T , int N>

CUTLASS_HOST_DEVICE bool cutlass::Array< T, N, false >::iterator::operator== | ( | iterator const & | other | ) | const

inline

The documentation for this class was generated from the following file:

- array_subbyte.h